Create payment term
Create a new payment term
POST
/
admin
/
api
/
v1
/
accounts
/
payment-terms
Create payment term
curl --request POST \
--url https://erp.arukz.com/admin/api/v1/accounts/payment-terms \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "30 Days"
}
'import requests
url = "https://erp.arukz.com/admin/api/v1/accounts/payment-terms"
payload = { "name": "30 Days" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '30 Days'})
};
fetch('https://erp.arukz.com/admin/api/v1/accounts/payment-terms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/accounts/payment-terms",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '30 Days'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 1,
"name": "Immediate Payment",
"note": "<p>Payment terms: Immediate Payment</p>",
"company_id": 1,
"creator_id": 1,
"created_at": "2026-01-07T11:08:43.000000Z",
"updated_at": "2026-01-07T11:08:43.000000Z",
"deleted_at": null
},
"message": "Payment term created successfully."
}{
"message": "Unauthenticated."
}{
"message": "The given data was invalid.",
"errors": {
"name": [
"The name field is required."
]
}
}Authorizations
An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.
Body
application/json
Response
Created
⌘I
Create payment term
curl --request POST \
--url https://erp.arukz.com/admin/api/v1/accounts/payment-terms \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "30 Days"
}
'import requests
url = "https://erp.arukz.com/admin/api/v1/accounts/payment-terms"
payload = { "name": "30 Days" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '30 Days'})
};
fetch('https://erp.arukz.com/admin/api/v1/accounts/payment-terms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/accounts/payment-terms",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '30 Days'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 1,
"name": "Immediate Payment",
"note": "<p>Payment terms: Immediate Payment</p>",
"company_id": 1,
"creator_id": 1,
"created_at": "2026-01-07T11:08:43.000000Z",
"updated_at": "2026-01-07T11:08:43.000000Z",
"deleted_at": null
},
"message": "Payment term created successfully."
}{
"message": "Unauthenticated."
}{
"message": "The given data was invalid.",
"errors": {
"name": [
"The name field is required."
]
}
}